### Method

# ECal Client get_objects_for_uid_sync

since: 3.2

#### Declaration [src]

    gboolean
    e_cal_client_get_objects_for_uid_sync (
      ECalClient* client,
      const gchar* uid,
      GSList** out_ecalcomps,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Queries a calendar for all calendar components with the given unique ID. This will return any recurring event and all its detached recurrences. For non-recurring events, it will just return the object with that ID. This list should be freed with e_client_util_free_object_slist().

Available since: 3.2

#### Parameters

`uid`

  Type: `const gchar*`

  Unique identifier for a calendar component.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`out_ecalcomps`

  Type: A list of `None`

                  Return location for the list of objects obtained from the
                  backend.

  The argument will be set by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`; can be `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if successful, `FALSE` otherwise.